import { CustomNetwork, KV, LitNodeClientConfig } from '@litprotocol-dev/constants';
import { Class } from './mixin';
export declare function BaseMixin<Base extends Class>(base: Base): {
    new (...args: any[LitNodeClientConfig | CustomNetwork | any]): {
        [x: string]: any;
        config: LitNodeClientConfig;
        connectedNodes: SetConstructor | Set<any> | any;
        serverKeys: KV | any;
        ready: boolean;
        subnetPubKey: string | null;
        networkPubKey: string | null;
        networkPubKeySet: string | null;
        /**
         *
         * (Browser Only) Get the config from browser local storage and override default config
         *
         * @returns { void }
         *
         */
        overrideConfigsFromLocalStorage: () => void;
        /**
         *
         * Set bootstrapUrls to match the network litNetwork unless it's set to custom
         *
         * @returns { void }
         *
         */
        setCustomBootstrapUrls: () => void;
    };
} & Base;
